templates/ibm-cloudpak-integration.template.yaml [210:428]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    Type: String
  DomainName:
    Description: 'Amazon Route 53 base domain configured for your OpenShift Container Platform cluster. Name must consist of lowercase alphanumeric characters and must start and end with an alphanumeric character.'
    Type: String
  KeyPairName:
    Description: The name of an existing public/private key pair, which allows you
      to securely connect to your instance after it launches.
    Type: AWS::EC2::KeyPair::KeyName
  NumberOfMaster:
    Default: '3'
    Description: The desired capacity for the OpenShift master instances. Must be an odd number. For a development deployment, 1 is sufficient; for production deployments, a minimum of 3 is required.
    Type: String
    AllowedPattern: '^[13579]$|(^[1-9]+[13579]$)'
  NumberOfCompute:
    Default: '3'
    Description: The desired capacity for the OpenShift compute instances. Minimum of 3 nodes required. If the number of compute instances exceeds your Red Hat entitlement limits or AWS instance limits, the stack will fail. Choose a number that is within your limits.
    Type: Number
  MasterInstanceType:
    Default: m5.2xlarge
    AllowedValues:
      - m5.xlarge
      - m5.2xlarge
      - m5d.xlarge
      - m5d.2xlarge
    ConstraintDescription: Must contain valid instance type.
    Description: The EC2 instance type for the OpenShift master instances.
    Type: String
  ComputeInstanceType:
    Default: m5.8xlarge
    AllowedValues:
      - m5.4xlarge
      - m5.8xlarge
      - m5.12xlarge
      - m5.24xlarge
      - m5a.4xlarge
      - m5a.8xlarge
      - m5a.12xlarge
      - m5a.24xlarge
      - c5.4xlarge
      - c5.9xlarge
      - c5.12xlarge
      - c5.18xlarge
      - c5.24xlarge
      - r5.4xlarge
      - r5.9xlarge
      - r5.12xlarge
      - r5.18xlarge
      - r5.24xlarge
    ConstraintDescription: Must contain valid instance type.
    Description: The EC2 instance type for the OpenShift compute instances.
    Type: String
  ClusterName:
    Description: Custom cluster name for kubernetes.io/cluster/tags.
    Type: String
    AllowedPattern: ^[0-9a-z-]*$
  DedicatedOCS:
    Description: >-
       Choose "True" to deploy dedicated OCS nodes.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  NumberOfOCS:
    Default: '3'
    Description: Update this value if storage type is OCS. The desired capacity for the OpenShift container storage instances. Minimum of 3 is required.
    Type: String
    AllowedPattern: '^[3579]$|(^[3-9]+[3579]$)'
  OCSInstanceType:
    Default: m4.4xlarge
    AllowedValues:
      - m4.4xlarge
      - m4.8xlarge
      - m5.8xlarge
      - m5.12xlarge
      - c5.8xlarge
      - c5.12xlarge
      - c5.9xlarge
      - r5.4xlarge
      - r5.8xlarge
      - r5.12xlarge
      - m4.10xlarge
      - c4.8xlarge
    ConstraintDescription: Must contain valid instance type.
    Description: Update this value if storage type is OCS. The EC2 instance type for the OpenShift Container Storage instances.
    Type: String
  RedhatPullSecret:
    Description: Your Red Hat Network (RHN) pull secret (e.g., s3://my-bucket/path/to/pull-secret).
    Type: String
  CP4IVersion:
    Description: The version of IBM Cloud Pak for Integration to be deployed. Currently only 2020.4 is supported.
    Type: String
    AllowedValues:
      - 2020.4
    Default: 2020.4
  APIUsername:
    Description: >-
       The IBM Cloud Pak for Integration user name to access IBM Container Registry.
    Type: String
    Default: "cp"
  APIKey:
    Description: >-
       The IBM Cloud Pak for Integration API key to access IBM Container Registry.
    Type: String 
    NoEcho: 'true'
  LicenseAgreement:
    Description: >-
      I have read and agree to the license terms for IBM Cloud Pak for Integration (http://ibm.biz/cp4i-license).
    Type: String
    Default: '-' 
    AllowedValues:
      - I agree
      - '-'
    ConstraintDescription: Must answer 'I agree.'
  Namespace:
    Description: >-
      The OpenShift project that is created for deploying Cloud Pak for Integration. The name can be any lowercase string.
    Type: String
    Default: "integration"
  AdminPassword:
    Description: The password for the Cloud Pak for Integration Platform Navigator. The password must contain at least 8 characters, including letters (with a minimum of one uppercase letter), numbers, and symbols. If no password is provided, the installer generates one that can be retrieved from 'PlatformNavigatorSecret'.
    Type: String
    MinLength: '8'
    AllowedPattern: ^[^ \\']+$
    Default: "NotProvided"
  AR:
    Description: >-
       Choose "True" to install an example instance of the Asset Repository capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  OD:
    Description: >-
       Choose "True" to install an example instance of the Operations Dashboard capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  APILM:
    Description: >-
       Choose "True" to install an example instance of the API Lifecycle and Management capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  AIDB:
    Description: >-
       Choose "True" to install an example instance of the Application Integration Dashboard capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  AIDE:
    Description: >-
       Choose "True" to install an example instance of the Application Integration Designer capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  MQ:
    Description: >-
       Choose "True" to install an example instance of the Messaging runtime.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  ES:
    Description: >-
       Choose "True" to install an example instance of the Event Streaming runtime.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  GW:
    Description: >-
       Choose "True" to install an example instance of the Gateway service.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  HST:
    Description: >-
       Choose "True" to install an example instance of the High Speed Transfers runtime.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  QSS3BucketName:
    AllowedPattern: ^[0-9a-zA-Z]+([0-9a-zA-Z-]*[0-9a-zA-Z])*$
    ConstraintDescription: The Quick Start bucket name can include numbers, lowercase
      letters, uppercase letters, and hyphens (-). It cannot start or end with a hyphen
      (-).
    Default: aws-quickstart
    Description: S3 bucket that you created for your copy of Quick Start assets. Use this if you decide to customize the Quick Start. This bucket name can include numbers, lowercase letters, uppercase letters, and hyphens, but do not start or end with a hyphen (-). Unless you are customizing the template, keep the default setting. Changing this setting updates code references to point to a new Quick Start location. See https://aws-quickstart.github.io/option1.html.
    Type: String
  QSS3BucketRegion:
    Default: 'us-east-1'
    Description: 'AWS Region where the Quick Start S3 bucket (QSS3BucketName) is hosted. When using your own bucket, you must specify this value. Unless you are customizing the template, keep the default setting. Changing this setting updates code references to point to a new Quick Start location. See https://aws-quickstart.github.io/option1.html.'
    Type: String   
  QSS3KeyPrefix:
    AllowedPattern: ^[0-9a-zA-Z-/]*$
    ConstraintDescription: Quick Start key prefix can include numbers, lowercase letters,
      uppercase letters, hyphens (-), and forward slash (/).
    Default: quickstart-ibm-integration/  
    Description: S3 key prefix that is used to simulate a directory for your copy of Quick Start assets. Use this if you decide to customize the Quick Start. This prefix can include numbers, lowercase letters, uppercase letters, hyphens (-), and forward slashes (/). See https://docs.aws.amazon.com/AmazonS3/latest/dev/UsingMetadata.html. Unless you are customizing the template, keep the default setting. Changing this setting updates code references to point to a new Quick Start location. See https://aws-quickstart.github.io/option1.html.
    Type: String
  CP4IDeploymentLogsBucketName:
    Description: 'The name of the S3 bucket where IBM Cloud Pak for Integration deployment logs are to be exported. The deployment logs provide a record of the boot strap scripting actions and are useful for problem determination if the deployment fails in some way.'
    Type: String
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



templates/ibm-cloudpak-root.template.yaml [217:435]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    Type: String
  DomainName:
    Description: 'Amazon Route 53 base domain configured for your OpenShift Container Platform cluster. Name must consist of lowercase alphanumeric characters and must start and end with an alphanumeric character.'
    Type: String
  KeyPairName:
    Description: The name of an existing public/private key pair, which allows you
      to securely connect to your instance after it launches.
    Type: AWS::EC2::KeyPair::KeyName
  NumberOfMaster:
    Default: '3'
    Description: The desired capacity for the OpenShift master instances. Must be an odd number. For a development deployment, 1 is sufficient; for production deployments, a minimum of 3 is required.
    Type: String
    AllowedPattern: '^[13579]$|(^[1-9]+[13579]$)'
  NumberOfCompute:
    Default: '3'
    Description: The desired capacity for the OpenShift compute instances. Minimum of 3 nodes required. If the number of compute instances exceeds your Red Hat entitlement limits or AWS instance limits, the stack will fail. Choose a number that is within your limits.
    Type: Number
  MasterInstanceType:
    Default: m5.2xlarge
    AllowedValues:
      - m5.xlarge
      - m5.2xlarge
      - m5d.xlarge
      - m5d.2xlarge
    ConstraintDescription: Must contain valid instance type.
    Description: The EC2 instance type for the OpenShift master instances.
    Type: String
  ComputeInstanceType:
    Default: m5.8xlarge
    AllowedValues:
      - m5.4xlarge
      - m5.8xlarge
      - m5.12xlarge
      - m5.24xlarge
      - m5a.4xlarge
      - m5a.8xlarge
      - m5a.12xlarge
      - m5a.24xlarge
      - c5.4xlarge
      - c5.9xlarge
      - c5.12xlarge
      - c5.18xlarge
      - c5.24xlarge
      - r5.4xlarge
      - r5.9xlarge
      - r5.12xlarge
      - r5.18xlarge
      - r5.24xlarge
    ConstraintDescription: Must contain valid instance type.
    Description: The EC2 instance type for the OpenShift compute instances.
    Type: String
  ClusterName:
    Description: Custom cluster name for kubernetes.io/cluster/tags.
    Type: String
    AllowedPattern: ^[0-9a-z-]*$
  DedicatedOCS:
    Description: >-
       Choose "True" to deploy dedicated OCS nodes.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  NumberOfOCS:
    Default: '3'
    Description: Update this value if storage type is OCS. The desired capacity for the OpenShift container storage instances. Minimum of 3 is required.
    Type: String
    AllowedPattern: '^[3579]$|(^[3-9]+[3579]$)'
  OCSInstanceType:
    Default: m4.4xlarge
    AllowedValues:
      - m4.4xlarge
      - m4.8xlarge
      - m5.8xlarge
      - m5.12xlarge
      - c5.8xlarge
      - c5.12xlarge
      - c5.9xlarge
      - r5.4xlarge
      - r5.8xlarge
      - r5.12xlarge
      - m4.10xlarge
      - c4.8xlarge
    ConstraintDescription: Must contain valid instance type.
    Description: Update this value if storage type is OCS. The EC2 instance type for the OpenShift Container Storage instances.
    Type: String
  RedhatPullSecret:
    Description: Your Red Hat Network (RHN) pull secret (e.g., s3://my-bucket/path/to/pull-secret).
    Type: String
  CP4IVersion:
    Description: The version of IBM Cloud Pak for Integration to be deployed. Currently only 2020.4 is supported.
    Type: String
    AllowedValues:
      - 2020.4
    Default: 2020.4
  APIUsername:
    Description: >-
       The IBM Cloud Pak for Integration user name to access IBM Container Registry.
    Type: String
    Default: "cp"
  APIKey:
    Description: >-
       The IBM Cloud Pak for Integration API key to access IBM Container Registry.
    Type: String 
    NoEcho: 'true'
  LicenseAgreement:
    Description: >-
      I have read and agree to the license terms for IBM Cloud Pak for Integration (http://ibm.biz/cp4i-license).
    Type: String
    Default: '-' 
    AllowedValues:
      - I agree
      - '-'
    ConstraintDescription: Must answer 'I agree.'
  Namespace:
    Description: >-
      The OpenShift project that is created for deploying Cloud Pak for Integration. The name can be any lowercase string.
    Type: String
    Default: "integration"
  AdminPassword:
    Description: The password for the Cloud Pak for Integration Platform Navigator. The password must contain at least 8 characters, including letters (with a minimum of one uppercase letter), numbers, and symbols. If no password is provided, the installer generates one that can be retrieved from 'PlatformNavigatorSecret'.
    Type: String
    MinLength: '8'
    AllowedPattern: ^[^ \\']+$
    Default: "NotProvided"
  AR:
    Description: >-
       Choose "True" to install an example instance of the Asset Repository capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  OD:
    Description: >-
       Choose "True" to install an example instance of the Operations Dashboard capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  APILM:
    Description: >-
       Choose "True" to install an example instance of the API Lifecycle and Management capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  AIDB:
    Description: >-
       Choose "True" to install an example instance of the Application Integration Dashboard capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  AIDE:
    Description: >-
       Choose "True" to install an example instance of the Application Integration Designer capability.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  MQ:
    Description: >-
       Choose "True" to install an example instance of the Messaging runtime.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  ES:
    Description: >-
       Choose "True" to install an example instance of the Event Streaming runtime.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  GW:
    Description: >-
       Choose "True" to install an example instance of the Gateway service.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  HST:
    Description: >-
       Choose "True" to install an example instance of the High Speed Transfers runtime.
    Type: String
    AllowedValues:
      - "False"
      - "True"
    Default: "False"
  QSS3BucketName:
    AllowedPattern: ^[0-9a-zA-Z]+([0-9a-zA-Z-]*[0-9a-zA-Z])*$
    ConstraintDescription: The Quick Start bucket name can include numbers, lowercase
      letters, uppercase letters, and hyphens (-). It cannot start or end with a hyphen
      (-).
    Default: aws-quickstart
    Description: S3 bucket that you created for your copy of Quick Start assets. Use this if you decide to customize the Quick Start. This bucket name can include numbers, lowercase letters, uppercase letters, and hyphens, but do not start or end with a hyphen (-). Unless you are customizing the template, keep the default setting. Changing this setting updates code references to point to a new Quick Start location. See https://aws-quickstart.github.io/option1.html.
    Type: String
  QSS3BucketRegion:
    Default: 'us-east-1'
    Description: 'AWS Region where the Quick Start S3 bucket (QSS3BucketName) is hosted. When using your own bucket, you must specify this value. Unless you are customizing the template, keep the default setting. Changing this setting updates code references to point to a new Quick Start location. See https://aws-quickstart.github.io/option1.html.'
    Type: String   
  QSS3KeyPrefix:
    AllowedPattern: ^[0-9a-zA-Z-/]*$
    ConstraintDescription: Quick Start key prefix can include numbers, lowercase letters,
      uppercase letters, hyphens (-), and forward slash (/).
    Default: quickstart-ibm-integration/  
    Description: S3 key prefix that is used to simulate a directory for your copy of Quick Start assets. Use this if you decide to customize the Quick Start. This prefix can include numbers, lowercase letters, uppercase letters, hyphens (-), and forward slashes (/). See https://docs.aws.amazon.com/AmazonS3/latest/dev/UsingMetadata.html. Unless you are customizing the template, keep the default setting. Changing this setting updates code references to point to a new Quick Start location. See https://aws-quickstart.github.io/option1.html.
    Type: String
  CP4IDeploymentLogsBucketName:
    Description: 'The name of the S3 bucket where IBM Cloud Pak for Integration deployment logs are to be exported. The deployment logs provide a record of the boot strap scripting actions and are useful for problem determination if the deployment fails in some way.'
    Type: String
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



